Subject: Re: "Accented" characters
From: Alain CULOS <[email-masked]>
To: cygwin <[email-masked]>
Date: Sat, 20 Mar 1999 23:21:58 +0000

Benjamin Riefenstahl wrote:

> Hi Alain,
>
> > Benjamin Riefenstahl wrote:
> > > Firstly, in b18 bash needs the complete filename for CHCP, so it's
> > > actually "chcp.com 1252".
>
> Alain CULOS wrote:
> > When I read that I was delighted I would be able to have proper accents in my
> > Bash/Dos window.
> > Pity is I don't seem to have chcp.com at all at all (yes I did a comprehensive
> > search on my disk).
> > Any idea what could replace chcp on a Windows 95 B platform ?
> > The rest will probably work fine once I have that chcp thingy replaced.
>
> As some other Win95 user found out, it looks like this is rather
> difficult on Win95.

> CHCP is an internal command of command.com on Win95. So for that part
> "$COMSPEC /c chcp 1252" is the solution.

OK, so I used this but windows 95 only wants a three digit code for
chcp.
I tried 851 at random and it told me the page was not prepared for
windows.
Anyway, in my DOS box accents are perfect, it's only BASH that
displays them badly.

> But the main problem is, it seems that support for code page 1252 in the
> console window doesn't come with the regular Win95 installation. I don't
> know where to get the necessary files and how exactly to install and
> activate them. You could try to find these files and instructions at
> http://www.microsoft.com, but I'm not sure that this will work at all.

I'll try that some time.
I checked my autoexec.bat and it shows something like :

mode con codepage prepare=((850) C:\WINDOWS\COMMAND\ega.cpi)
mode con codepage select=850

So I went about reading ega.cpi (I would assume this is code page
information) and found a nice binary file, that's where I stopped so
far.

> Another solution might be to use some other command window like the rxvt
> that I have seen discussed here. It's at
> http://www.io.com/~bub/rxvt.html according to the last resource pointer
> post.

I'll also have a look at that some time.
Thanks for the pointers.

Regards,
Al.

--
ANTI SPAM / ANTI ARROSAGE COMMERCIAL :
Pour me répondre, veuillez enlever le Z de mon adresse.
To answer me, please take out the Z from my address.

--
Want to unsubscribe from this list?
Send a message to [email-masked]